package net.p0f.samples.rhpam_fuse_integration.rhpam;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public interface RhpamEndpoints {
	@POST
	@Path("/containers/{containerId}/processes/{processId}/instances")
	public String startProcess(@PathParam("containerId") String kieContainer,
								@PathParam("processId") String processModel,
								Object data);
	
	@POST
	@Path("/containers/{containerId}/processes/instances/{processInstanceId}/signal/{signalName}")
	public void signalInstance(@PathParam("containerId") String kieContainer,
								@PathParam("processInstanceId") int pid,
								@PathParam("signalName") String signal,
								Object data);
}
